- Cal3D 0.11 API Reference -

Public Member Functions | List of all members
CalSpringSystem Class Reference

The spring system class. More...

`#include <springsystem.h>`

## Public Member Functions

| CalSpringSystem (CalModel *pModel)
| Constructs the spring system instance.
void | calculateForces (CalSubmesh *pSubmesh, float deltaTime)
| Calculates the forces on each unbound vertex.
void | calculateVertices (CalSubmesh *pSubmesh, float deltaTime)
| Calculates the vertices influenced by the spring system instance.
void | update (float deltaTime)
| Updates all the spring systems in the attached meshes.
CalVector & | getGravityVector ()
| Returns the gravity vector.
void | setGravityVector (const CalVector &vGravity)
| Sets the gravity vector.
CalVector & | getForceVector ()
| Returns the force vector.
void | setForceVector (const CalVector &vForce)
| Sets the force vector.
void | setCollisionDetection (bool collision)
| Enable or disable the collision system.

## Detailed Description

The spring system class.

## Constructor & Destructor Documentation

## ◆ CalSpringSystem()

CalSpringSystem::CalSpringSystem | ( | CalModel * | pModel | ) |

Constructs the spring system instance.

This function is the default constructor of the spring system instance.

## Member Function Documentation

## ◆ calculateForces()

void CalSpringSystem::calculateForces | ( | CalSubmesh * | pSubmesh,
|  | float | deltaTime )

Calculates the forces on each unbound vertex.

This function calculates the forces on each unbound vertex of a specific submesh.

Parameters

  pSubmesh | A pointer to the submesh from which the forces should be calculated.
  deltaTime | The elapsed time in seconds since the last calculation.

## ◆ calculateVertices()

void CalSpringSystem::calculateVertices | ( | CalSubmesh * | pSubmesh,
|  | float | deltaTime )

Calculates the vertices influenced by the spring system instance.

This function calculates the vertices influenced by the spring system instance.

Parameters

  pSubmesh | A pointer to the submesh from which the vertices should be calculated.
  deltaTime | The elapsed time in seconds since the last calculation.

## ◆ getForceVector()

CalVector & CalSpringSystem::getForceVector | ( |  | ) |

Returns the force vector.

This function returns the force vector of the spring system instance.

Returns
  the force vector as vector.

## ◆ getGravityVector()

CalVector & CalSpringSystem::getGravityVector | ( |  | ) |

Returns the gravity vector.

This function returns the gravity vector of the spring system instance.

Returns
  the gravity vector as vector.

## ◆ setCollisionDetection()

void CalSpringSystem::setCollisionDetection | ( | bool | collision | ) |

Enable or disable the collision system.

Parameters

  collision | true to enable the collision system else false

## ◆ setForceVector()

void CalSpringSystem::setForceVector | ( | const CalVector & | vForce | ) |

Sets the force vector.

This function sets the force vector of the spring system instance.

Parameters

  vForce | the force vector as vector.

## ◆ setGravityVector()

void CalSpringSystem::setGravityVector | ( | const CalVector & | vGravity | ) |

Sets the gravity vector.

This function sets the gravity vector of the spring system instance.

Parameters

  vGravity | the gravity vector as vector.

## ◆ update()

void CalSpringSystem::update | ( | float | deltaTime | ) |

Updates all the spring systems in the attached meshes.

This functon updates all the spring systems in the attached meshes.

The documentation for this class was generated from the following files:

- springsystem.h
- springsystem.cpp

Generated by The Cal3D Team with Doxygen 1.15.0